# Uses of Class
org.eclipse.jdt.core.dom.NumberLiteral

Packages that use NumberLiteral
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of NumberLiteral in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return NumberLiteral
Modifier and Type
Method
Description
`NumberLiteral`
AST.`newNumberLiteral()`
Creates and returns a new unparented number literal node.
`NumberLiteral`
AST.`newNumberLiteral(String literal)`
Creates and returns a new unparented number literal node.
Methods in org.eclipse.jdt.core.dom with parameters of type NumberLiteral
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(NumberLiteral node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(NumberLiteral node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(NumberLiteral node)`
Visits the given type-specific AST node.